---
sidebar_position: 0
slug: /
---

# Kas ir LlamaIndex.TS?

`Šis dokuments ir automātiski tulkots un var saturēt kļūdas. Nevilciniet atvērt Pull Request, lai ierosinātu izmaiņas.`

LlamaIndex.TS ir datu pamatstruktūra LLM lietojumprogrammām, lai ievadītu, strukturētu un piekļūtu privātiem vai domēna specifiskiem datiem. Lai gan ir pieejams arī Python pakotne (skatīt [šeit](https://docs.llamaindex.ai/en/stable/)), LlamaIndex.TS piedāvā pamata funkcijas vienkāršā pakotnē, kas optimizēta lietošanai ar TypeScript.

## 🚀 Kāpēc izvēlēties LlamaIndex.TS?

Būtībā LLM piedāvā dabiskās valodas interfeisu starp cilvēkiem un iegūtajiem datiem. Plaši pieejamie modeļi ir iepriekšapmācīti ar milzīgu daudzumu publiski pieejamu datu, sākot no Vikipēdijas un pasta sarakstiem līdz mācību grāmatām un pirmkoda failiem.

Lietojumprogrammām, kas balstītas uz LLM, bieži ir nepieciešams papildināt šos modeļus ar privātiem vai domēna specifiskiem datiem. Diemžēl šie dati var būt sadalīti starp dažādām lietojumprogrammām un datu glabātuvēm. Tie var atrasties aiz API, SQL datu bāzēs vai būt ieslodzīti PDF failos un slaidu prezentācijās.

Šeit nāk klajā **LlamaIndex.TS**.

## 🦙 Kā LlamaIndex.TS var palīdzēt?

LlamaIndex.TS nodrošina šādas rīkus:

- **Datu ielāde** - tieši ievadiet esošos `.txt`, `.pdf`, `.csv`, `.md` un `.docx` datus
- **Datu indeksi** - strukturējiet savus datus starpposma reprezentācijās, kas ir viegli un efektīvi lietojami LLM lietojumprogrammām.
- **Dzinēji** - nodrošina dabiskās valodas piekļuvi jūsu datiem. Piemēram:
  - Vaicājumu dzinēji ir spēcīgi atgūšanas interfeisi zināšanu papildinātai izvadei.
  - Sarunu dzinēji ir sarunu interfeisi daudzziņu "turp un atpakaļ" mijiedarbībai ar jūsu datiem.

"

## 👨‍👩‍👧‍👦 Kam ir paredzēts LlamaIndex?

LlamaIndex.TS nodrošina pamata rīkus, kas ir būtiski ikvienam, kas veido LLM lietojumprogrammas ar JavaScript un TypeScript.

Mūsu augsta līmeņa API ļauj iesācējiem lietot LlamaIndex.TS, lai ievadītu un vaicātu savus datus.

Lielākām un sarežģītākām lietojumprogrammām mūsu zemāka līmeņa API ļauj pieredzējušiem lietotājiem pielāgot un paplašināt jebkuru moduli - datu savienotājus, indeksus, atgūtājus un vaicājumu dzinējus, lai pielāgotu tos savām vajadzībām.

## Sākumā

`npm install llamaindex`

Mūsu dokumentācijā ir iekļautas [Instalācijas instrukcijas](./installation.mdx) un [Sākuma pamācība](./starter.md), lai izveidotu savu pirmo lietojumprogrammu.

Kad esat gatavs, [Augsta līmeņa koncepti](./concepts.md) sniedz pārskatu par LlamaIndex modulāro arhitektūru. Lai iegūtu vairāk praktisku piemēru, apskatiet mūsu [Galēji līdz galam pamācības](./end_to_end.md).

## 🗺️ Ekosistēma

Lai lejupielādētu vai piedalītos, atradīsiet LlamaIndex šeit:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Kopiena

Vajag palīdzību? Ir ieteikums funkcijai? Pievienojieties LlamaIndex kopienai:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
