---
sidebar_position: 0
slug: /
---

# Wat is LlamaIndex.TS?

`Deze documentatie is automatisch vertaald en kan fouten bevatten. Aarzel niet om een Pull Request te openen om wijzigingen voor te stellen.`

LlamaIndex.TS is een gegevensframework voor LLM-toepassingen om privé- of domeinspecifieke gegevens in te nemen, te structureren en toegankelijk te maken. Hoewel er ook een Python-pakket beschikbaar is (zie [hier](https://docs.llamaindex.ai/en/stable/)), biedt LlamaIndex.TS kernfuncties in een eenvoudig pakket, geoptimaliseerd voor gebruik met TypeScript.

## 🚀 Waarom LlamaIndex.TS?

LLM's bieden in de kern een natuurlijke taalinterface tussen mensen en afgeleide gegevens. Breed beschikbare modellen zijn vooraf getraind op enorme hoeveelheden openbaar beschikbare gegevens, van Wikipedia en mailinglijsten tot studieboeken en broncode.

Toepassingen die zijn gebouwd bovenop LLM's vereisen vaak het aanvullen van deze modellen met privé- of domeinspecifieke gegevens. Helaas kan die gegevens verspreid zijn over geïsoleerde toepassingen en gegevensopslagplaatsen. Het bevindt zich achter API's, in SQL-databases of zit vast in PDF's en presentaties.

Daar komt **LlamaIndex.TS** in beeld.

## 🦙 Hoe kan LlamaIndex.TS helpen?

LlamaIndex.TS biedt de volgende tools:

- **Gegevensinname** neemt uw bestaande `.txt`, `.pdf`, `.csv`, `.md` en `.docx` gegevens rechtstreeks in.
- **Gegevensindexen** structureren uw gegevens in tussenliggende representaties die gemakkelijk en efficiënt zijn voor LLM's om te consumeren.
- **Engines** bieden natuurlijke taaltoegang tot uw gegevens. Bijvoorbeeld:
  - Query-engines zijn krachtige ophaalinterfaces voor kennisverrijkte output.
  - Chat-engines zijn conversatie-interfaces voor interacties met uw gegevens in meerdere berichten, "heen en weer".

## 👨‍👩‍👧‍👦 Voor wie is LlamaIndex bedoeld?

LlamaIndex.TS biedt een kernset tools die essentieel zijn voor iedereen die LLM-apps bouwt met JavaScript en TypeScript.

Onze API op hoog niveau stelt beginnende gebruikers in staat om LlamaIndex.TS te gebruiken om hun gegevens in te nemen en te bevragen.

Voor complexere toepassingen stellen onze API's op lager niveau gevorderde gebruikers in staat om elke module aan te passen en uit te breiden - gegevensconnectoren, indices, ophalers en query-engines - om aan hun behoeften te voldoen.

## Aan de slag

`npm install llamaindex`

Onze documentatie bevat [Installatie-instructies](./installation.mdx) en een [Starterzelfstudie](./starter.md) om uw eerste toepassing te bouwen.

Zodra u aan de slag bent, geeft [Hoog-niveau Concepten](./concepts.md) een overzicht van de modulaire architectuur van LlamaIndex. Voor meer praktische voorbeelden kunt u onze [End-to-End Tutorials](./end_to_end.md) bekijken.

## 🗺️ Ecosysteem

Om te downloaden of bij te dragen, vind LlamaIndex op:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Community

Hulp nodig? Een functievoorstel? Word lid van de LlamaIndex-community:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
