---
sidebar_position: 0
slug: /
---

# Hva er LlamaIndex.TS?

`Denne dokumentasjonen har blitt automatisk oversatt og kan inneholde feil. Ikke nøl med å åpne en Pull Request for å foreslå endringer.`

LlamaIndex.TS er et data-rammeverk for LLM-applikasjoner for å ta inn, strukturere og få tilgang til private eller domenespesifikke data. Mens det også finnes en Python-pakke tilgjengelig (se [her](https://docs.llamaindex.ai/en/stable/)), tilbyr LlamaIndex.TS kjernefunksjoner i en enkel pakke, optimalisert for bruk med TypeScript.

## 🚀 Hvorfor LlamaIndex.TS?

På kjernen til LLM-er tilbys et naturlig språklig grensesnitt mellom mennesker og infererte data. Bredt tilgjengelige modeller er forhåndstrening på enorme mengder offentlig tilgjengelige data, fra Wikipedia og e-postlister til lærebøker og kildekode.

Applikasjoner bygget på toppen av LLM-er krever ofte å supplere disse modellene med private eller domenespesifikke data. Dessverre kan disse dataene være spredt over isolerte applikasjoner og datalagre. De er bak API-er, i SQL-databaser eller fanget i PDF-er og presentasjoner.

Det er her **LlamaIndex.TS** kommer inn.

## 🦙 Hvordan kan LlamaIndex.TS hjelpe?

LlamaIndex.TS tilbyr følgende verktøy:

- **Datainnlasting** tar inn eksisterende `.txt`, `.pdf`, `.csv`, `.md` og `.docx` data direkte.
- **Dataindekser** strukturer dataene dine i mellomliggende representasjoner som er enkle og effektive for LLM-er å bruke.
- **Motorer** gir naturlig språklig tilgang til dataene dine. For eksempel:
  - Spørringsmotorer er kraftige grensesnitt for henting av kunnskapsforsterket utdata.
  - Chatmotorer er samtalegrensesnitt for flerbeskjeds "fram og tilbake"-interaksjoner med dataene dine.

## 👨‍👩‍👧‍👦 Hvem er LlamaIndex for?

LlamaIndex.TS gir et kjerne sett med verktøy som er essensielle for alle som bygger LLM-apper med JavaScript og TypeScript.

Vår høynivå-API lar nybegynnere bruke LlamaIndex.TS til å ta inn og spørre dataene sine.

For mer komplekse applikasjoner lar våre lavnivå-APIer avanserte brukere tilpasse og utvide hvilken som helst modul - datakoblinger, indekser, hentere og spørringsmotorer - for å passe deres behov.

## Komme i gang

`npm install llamaindex`

Dokumentasjonen vår inkluderer [Installasjonsinstruksjoner](./installation.mdx) og en [Starterveiledning](./starter.md) for å bygge din første applikasjon.

Når du er oppe og kjører, gir [Høynivåkonsepter](./concepts.md) en oversikt over LlamaIndex sin modulære arkitektur. For mer praktiske eksempler, kan du se gjennom våre [End-to-End veiledninger](./end_to_end.md).

## 🗺️ Økosystem

For å laste ned eller bidra, finn LlamaIndex på:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Fellesskap

Trenger du hjelp? Har du forslag til funksjoner? Bli med i LlamaIndex-fellesskapet:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
