---
sidebar_position: 0
slug: /
---

# O que é o LlamaIndex.TS?

`Esta documentação foi traduzida automaticamente e pode conter erros. Não hesite em abrir um Pull Request para sugerir alterações.`

O LlamaIndex.TS é um framework de dados para aplicativos LLM para ingestão, estruturação e acesso a dados privados ou específicos de domínio. Embora um pacote Python também esteja disponível (veja [aqui](https://docs.llamaindex.ai/en/stable/)), o LlamaIndex.TS oferece recursos principais em um pacote simples, otimizado para uso com TypeScript.

## 🚀 Por que usar o LlamaIndex.TS?

No seu cerne, os LLMs oferecem uma interface de linguagem natural entre humanos e dados inferidos. Modelos amplamente disponíveis são pré-treinados em grandes quantidades de dados publicamente disponíveis, desde a Wikipedia e listas de discussão até livros didáticos e código-fonte.

Aplicativos construídos em cima dos LLMs frequentemente exigem aprimorar esses modelos com dados privados ou específicos de domínio. Infelizmente, esses dados podem estar distribuídos em aplicativos e bancos de dados isolados. Eles podem estar por trás de APIs, em bancos de dados SQL ou presos em PDFs e apresentações.

É aí que entra o **LlamaIndex.TS**.

## 🦙 Como o LlamaIndex.TS pode ajudar?

O LlamaIndex.TS oferece as seguintes ferramentas:

- **Carregamento de dados** permite a ingestão direta de seus dados existentes em formatos `.txt`, `.pdf`, `.csv`, `.md` e `.docx`.
- **Índices de dados** estruturam seus dados em representações intermediárias que são fáceis e eficientes para os LLMs consumirem.
- **Engines** fornecem acesso em linguagem natural aos seus dados. Por exemplo:
  - Os motores de consulta são interfaces poderosas de recuperação para saída com conhecimento aprimorado.
  - Os motores de chat são interfaces conversacionais para interações de "ida e volta" com seus dados.

## 👨‍👩‍👧‍👦 Para quem é o LlamaIndex?

O LlamaIndex.TS fornece um conjunto de ferramentas essenciais para qualquer pessoa que esteja construindo aplicativos LLM com JavaScript e TypeScript.

Nossa API de alto nível permite que usuários iniciantes usem o LlamaIndex.TS para ingestão e consulta de seus dados.

Para aplicativos mais complexos, nossas APIs de nível inferior permitem que usuários avançados personalizem e estendam qualquer módulo - conectores de dados, índices, recuperadores e mecanismos de consulta - para atender às suas necessidades.

## Primeiros Passos

`npm install llamaindex`

Nossa documentação inclui [Instruções de Instalação](./installation.mdx) e um [Tutorial Inicial](./starter.md) para construir seu primeiro aplicativo.

Depois de estar pronto para começar, [Conceitos de Alto Nível](./concepts.md) oferece uma visão geral da arquitetura modular do LlamaIndex. Para exemplos práticos mais detalhados, consulte nossos [Tutoriais de Ponta a Ponta](./end_to_end.md).

## 🗺️ Ecossistema

Para baixar ou contribuir, encontre o LlamaIndex em:

- Github: https://github.com/run-llama/LlamaIndexTS
- NPM: https://www.npmjs.com/package/llamaindex

"

## Comunidade

Precisa de ajuda? Tem uma sugestão de recurso? Junte-se à comunidade LlamaIndex:

- Twitter: https://twitter.com/llama_index
- Discord: https://discord.gg/dGcwcsnxhU
